summaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
authorDamien George <damien.p.george@gmail.com>2014-05-02 13:49:44 +0000
committerDamien George <damien.p.george@gmail.com>2014-05-02 13:49:44 +0000
commitba742ed6396cf14151dd397e7dbe6c9d2d2ecf93 (patch)
treef53e1ce7633db2734396bf06a138858cb45cb9a5
parente276753b458ef7c4c05469324173a455c0e2db46 (diff)
downloadmicropython-ba742ed6396cf14151dd397e7dbe6c9d2d2ecf93.tar.gz
micropython-ba742ed6396cf14151dd397e7dbe6c9d2d2ecf93.zip
Add shell script to automatically build stmhal/ for all pyboards.
-rw-r--r--stmhal/boards/PYBV3/mpconfigboard.h2
-rwxr-xr-xtools/build-stm-latest.sh31
2 files changed, 32 insertions, 1 deletions
diff --git a/stmhal/boards/PYBV3/mpconfigboard.h b/stmhal/boards/PYBV3/mpconfigboard.h
index 02ad78a64c..af4da0c1d6 100644
--- a/stmhal/boards/PYBV3/mpconfigboard.h
+++ b/stmhal/boards/PYBV3/mpconfigboard.h
@@ -12,7 +12,7 @@
#define MICROPY_HW_ENABLE_RTC (1)
#define MICROPY_HW_ENABLE_TIMER (1)
#define MICROPY_HW_ENABLE_SERVO (1)
-#define MICROPY_HW_ENABLE_DAC (0)
+#define MICROPY_HW_ENABLE_DAC (1)
#define MICROPY_HW_ENABLE_I2C1 (1)
#define MICROPY_HW_ENABLE_SPI1 (1)
#define MICROPY_HW_ENABLE_SPI3 (0)
diff --git a/tools/build-stm-latest.sh b/tools/build-stm-latest.sh
new file mode 100755
index 0000000000..951d8be9c2
--- /dev/null
+++ b/tools/build-stm-latest.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# check/get parameters
+if [ $# != 1 ]; then
+ echo "usage: $0 <dest-dir>"
+ exit 1
+fi
+
+dest_dir=$1
+
+# check we are in the correct directory
+if [ ! -r modpyb.c ]; then
+ echo "must be in stm directory"
+ exit 1
+fi
+
+# get the date
+date=$(date '+%Y-%m-%d')
+
+# get the git hash
+git_hash="$(git rev-parse --short HEAD 2> /dev/null || echo unknown)"
+
+# build the versions
+for board in PYBV3 PYBV10; do
+ echo $board
+ lower_board=$(echo $board | tr A-Z a-z)
+ build_dir=/tmp/stm-build-$lower_board
+ make -B BOARD=$board BUILD=$build_dir || exit 1
+ mv $build_dir/flash.dfu $dest_dir/$lower_board-$date-$git_hash.dfu
+ rm -rf $build_dir
+done